summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorRemi Cardona <remi@gentoo.org>2009-03-03 16:28:32 +0000
committerRemi Cardona <remi@gentoo.org>2009-03-03 16:28:32 +0000
commit54e5da41249fc40fb7cd4f5ebecc6e16fe5e043c (patch)
tree233ed008a59ce7bae27384f46bc0e5e9d13a2ec6 /eclass
parentinstall proto docs in /usr/share/doc/${PF} (fixes bug #164917) (diff)
downloadhistorical-54e5da41249fc40fb7cd4f5ebecc6e16fe5e043c.tar.gz
historical-54e5da41249fc40fb7cd4f5ebecc6e16fe5e043c.tar.bz2
historical-54e5da41249fc40fb7cd4f5ebecc6e16fe5e043c.zip
update the DRI checking code to new USE flags in xorg-server 1.5.3 (fixes bug #252084)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/x-modular.eclass14
1 files changed, 11 insertions, 3 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index bb4be33b99f6..9e605755b3b4 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.106 2009/03/03 16:26:20 remi Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.107 2009/03/03 16:28:32 remi Exp $
#
# @ECLASS: x-modular.eclass
# @MAINTAINER:
@@ -192,11 +192,19 @@ x-modular_specs_check() {
x-modular_dri_check() {
# (#120057) Enabling DRI in drivers requires that the server was built with
# support for it
+ # Starting with xorg-server 1.5.3, DRI support is always enabled unless
+ # USE=minimal is set (see bug #252084)
if [[ -n "${DRIVER}" ]]; then
if has dri ${IUSE} && use dri; then
einfo "Checking for direct rendering capabilities ..."
- if ! built_with_use --missing true x11-base/xorg-server dri; then
- die "You must build x11-base/xorg-server with USE=dri."
+ if has_version '>=x11-base/xorg-server-1.5.3'; then
+ if built_with_use x11-base/xorg-server minimal; then
+ die "You must build x11-base/xorg-server with USE=-minimal."
+ fi
+ else
+ if ! built_with_use x11-base/xorg-server dri; then
+ die "You must build x11-base/xorg-server with USE=dri."
+ fi
fi
fi
fi